View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000090aMuleFeature Requestpublic2004-07-18 11:072004-09-22 17:22
ReporterHinnerk 
Assigned ToKry 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000090: 2.0.0rc4[a] doesn't compile with --enable-static
Descriptionon debian sid, with debians 2.4.2 wx

./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${pre
fix}/share/man --infodir=\$${prefix}/share/info --includedir=/usr/include/crypto++ --disable-optimise --enab
le-debug --disable-wxcas --disable-cas --enable-static

-------
  Configured aMule 2.0.0rc4a for 'i386-pc-linux-gnu'.

  Should aMule be compiled in debug mode? yes
  Should aMule be compiled with verbose console output? no
  Should aMule be compiled with upload speed sense? no
  Should aMule be compiled with profiling? no
  Should aMule be compiled with optimizations? no
  Should aMule be compiled with systray? yes
  Should aMule be compiled with safe systray? no
  Should aMule be compiled with pure GTK code? yes
  Should aMule be compiled without bar drawing? no
  Should aMule be linked against patched gsocket? yes
  Should ccache support be enabled? no
  Should aMule command line client be built? no
  Should aMule GUI client be built? no
  Should aMule WebServer be built? no
  Should aMule WebServer GUI be built? no
  Should aMule ed2k links handler be built? yes
  Should aMuleLinkCreator GUI version (alc) be built? yes
  Should aMuleLinkCreator for console (alcc) be built? yes
  Should C aMule Statistics (CAS) be built? no
  Should aMule GUI Statistics (wxCas) be built? no
  Crypto++ library/headers style? gentoo_debian

  Which libraries should aMule use?
                                       wxWidgets 2.4.2
                                       GTK 1.2.10
-------

last lines of compilation:

/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x340): In function `jpeg_wxio_src(jpeg_decompress_struct*, wxInputStream&)':
: undefined reference to `jpeg_resync_to_restart'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x3b0): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_std_error'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x401): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_destroy_decompress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x47c): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_CreateDecompress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x4a8): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_read_header'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x4c1): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_start_decompress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x4fd): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_finish_decompress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x50b): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_destroy_decompress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x597): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_read_scanlines'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x5c7): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_finish_decompress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x5cf): In function `wxJPEGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `jpeg_destroy_decompress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x735): In function `wxJPEGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `jpeg_std_error'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x77a): In function `wxJPEGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `jpeg_destroy_compress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x7dc): In function `wxJPEGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `jpeg_CreateCompress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x831): In function `wxJPEGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `jpeg_set_defaults'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x8e3): In function `wxJPEGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `jpeg_set_quality'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x917): In function `wxJPEGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `jpeg_start_compress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x963): In function `wxJPEGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `jpeg_write_scanlines'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x97f): In function `wxJPEGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `jpeg_finish_compress'
/usr/lib/libwx_gtk-2.4.a(imagjpeg.o)(.text+0x987): In function `wxJPEGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `jpeg_destroy_compress'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x18d): In function `_PNG_stream_reader':
: undefined reference to `png_get_io_ptr'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x1cd): In function `_PNG_stream_writer':
: undefined reference to `png_get_io_ptr'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x210): In function `wx_png_error':
: undefined reference to `png_get_io_ptr'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x2d0): In function `wx_png_warning':
: undefined reference to `png_get_io_ptr'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x3bb): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_create_read_struct'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x3ef): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_set_error_fn'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x40a): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_set_read_fn'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x418): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_create_info_struct'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x458): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_read_info'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x4ae): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_get_IHDR'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x4db): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_set_strip_16'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x4e9): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_set_packing'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x505): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_get_valid'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x52d): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_set_filler'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x5cb): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_read_image'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x5e3): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_read_end'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x601): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_destroy_read_struct'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x866): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_destroy_read_struct'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x89d): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_destroy_read_struct'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x908): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_set_expand'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x91b): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_set_expand'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x92e): In function `wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `png_set_expand'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x978): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_create_write_struct'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x9e4): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_set_error_fn'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0x9f2): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_create_info_struct'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xa22): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_destroy_write_struct'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xa55): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_set_write_fn'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xab0): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_set_IHDR'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xae8): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_set_sBIT'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xb00): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_write_info'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xb12): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_set_shift'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xb20): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_set_packing'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xc3e): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_write_rows'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xc6f): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_write_end'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xc87): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_destroy_write_struct'
/usr/lib/libwx_gtk-2.4.a(imagpng.o)(.text+0xca5): In function `wxPNGHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `png_destroy_write_struct'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x35a): In function `TIFFwxOpen(wxInputStream&, char const*, char const*)':
: undefined reference to `TIFFClientOpen'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x3ca): In function `TIFFwxOpen(wxOutputStream&, char const*, char const*)':
: undefined reference to `TIFFClientOpen'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x43b): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `TIFFSetDirectory'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x44d): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `TIFFClose'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x4a4): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `TIFFGetField'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x4bc): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `TIFFGetField'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x4d0): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `_TIFFmalloc'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x510): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `_TIFFfree'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x561): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `TIFFReadRGBAImage'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x573): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `_TIFFfree'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x649): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `_TIFFfree'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x651): In function `wxTIFFHandler::LoadFile(wxImage*, wxInputStream&, bool, int)':
: undefined reference to `TIFFClose'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x735): In function `wxTIFFHandler::GetImageCount(wxInputStream&)':
: undefined reference to `TIFFReadDirectory'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x741): In function `wxTIFFHandler::GetImageCount(wxInputStream&)':
: undefined reference to `TIFFClose'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x7b6): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFSetField'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x7d9): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFSetField'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x7f6): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFSetField'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x813): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFSetField'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x830): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFSetField'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x84d): more undefined references to `TIFFSetField' follow
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x893): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFScanlineSize'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x8b1): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFDefaultStripSize'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x8c9): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFSetField'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x931): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFWriteScanline'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x959): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFClose'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x965): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `_TIFFfree'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x9b4): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFClose'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x9c0): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `_TIFFfree'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x9d2): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFScanlineSize'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x9da): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `_TIFFmalloc'
/usr/lib/libwx_gtk-2.4.a(imagtiff.o)(.text+0x9f5): In function `wxTIFFHandler::SaveFile(wxImage*, wxOutputStream&, bool)':
: undefined reference to `TIFFClose'
collect2: ld returned 1 exit status
make[5]: *** [amule] Fehler 1
make[5]: Leaving directory `/home/sk/src/amule-2.0.0rc4a/src'
make[4]: *** [all-recursive] Fehler 1
make[4]: Leaving directory `/home/sk/src/amule-2.0.0rc4a/src'
make[3]: *** [all] Fehler 2
make[3]: Leaving directory `/home/sk/src/amule-2.0.0rc4a/src'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/home/sk/src/amule-2.0.0rc4a'
make[1]: *** [all] Fehler 2
make[1]: Leaving directory `/home/sk/src/amule-2.0.0rc4a'
make: *** [build-stamp] Fehler 2
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000150)
Hinnerk (reporter)
2004-07-18 12:30

btw: gcc version for above was 3.3.4 and same problem occurs with 2.95.4
(0000250)
Kry (manager)
2004-09-16 02:00

You have to have all other libs as static to link amule statically.
(0000264)
Kry (manager)
2004-09-22 17:22

Closed. Not aMule bug.

- Issue History
Date Modified Username Field Change
2004-07-18 11:07 Hinnerk New Issue
2004-07-18 12:30 Hinnerk Note Added: 0000150
2004-09-16 02:00 Kry Note Added: 0000250
2004-09-16 02:00 Kry Note Added: 0000251
2004-09-16 02:00 Kry Note Deleted: 0000251
2004-09-22 17:22 Kry Status new => resolved
2004-09-22 17:22 Kry Resolution open => fixed
2004-09-22 17:22 Kry Assigned To => Kry
2004-09-22 17:22 Kry Note Added: 0000264


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker